<?php

namespace Teknisa\SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FctGeraPropostasFilhas {
    
    const NOME = "FCT_GERA_PROPOSTAS_FILHAS";
    private $connection;
    
    public function __construct(Connection $connection) {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure.
     * 
     * @param integer $nrseqorcamento
     * @param string  $cdoperador
     * @param integer $nrorg
     */
    public function executar($nrseqorcamento, $cdoperador, $nrorg) {
        $procedure = new StoredProcedure($this->connection, self::NOME);
        
        $procedure->addParam(new Param("P_NRSEQORCAMENTO",  Param::PARAM_INPUT,  $nrseqorcamento,  Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_CDOPERADOR",      Param::PARAM_INPUT,  $cdoperador,      Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_NRORG",           Param::PARAM_INPUT,  $nrorg,           Param::PARAM_TYPE_INT));
        
        $resultado = $procedure->execute();
    }
    
}

?>